Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eznewsfeed/admin/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 6484 2001-08-17 13:36:01Z jhe $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "ezuser/classes/ezpermission.php" );
28 // include_once( "classes/ezhttptool.php" );
29
30 $user =& eZUser::currentUser();
31 if( eZPermission::checkPermission( $user, "eZNews", "ModuleEdit" ) == false )
32 {
33 eZHTTPTool::header( "Location: /error/403" );
34 exit();
35 }
36
37 switch ( $url_array[2] )
38 {
39 case "archive":
40 {
41 $CategoryID = $url_array[3];
42 if ( !isset( $CategoryID ) || ( $CategoryID == "" ) )
43 $CategoryID = 0;
44
45 $ShowUnPublished = "no";
46
47 include( "kernel/eznewsfeed/admin/newsarchive.php" );
48 }
49 break;
50
51 case "unpublished":
52 {
53 $CategoryID = $url_array[3];
54 if ( !isset( $CategoryID ) || ( $CategoryID == "" ) )
55 $CategoryID = 0;
56
57 if ( $url_array[4] == "delete" )
58 {
59 $Action = "Delete";
60 $NewsDeleteIDArray = array( $url_array[5] );
61 }
62
63 $ShowUnPublished = "only";
64 include( "kernel/eznewsfeed/admin/unpublished.php" );
65 }
66 break;
67
68 case "sourcesite":
69 {
70 if ( $url_array[3] == "edit" )
71 {
72 $Action = "Edit";
73 }
74 if ( $url_array[3] == "insert" )
75 {
76 $Action = "Insert";
77 }
78
79 if ( $url_array[3] == "update" )
80 {
81 $Action = "Update";
82 }
83 if ( $url_array[3] == "new" )
84 {
85 $Action = "New";
86 }
87 if ( $url_array[3] == "delete" )
88 {
89 $Action = "Delete";
90 }
91
92 $SourceSiteID = $url_array[4];
93 include( "kernel/eznewsfeed/admin/sourcesiteedit.php" );
94 }
95 break;
96
97 case "news":
98 {
99 if ( $url_array[3] == "new" )
100 {
101 $Action = "New";
102 }
103 else if ( $url_array[3] == "edit" )
104 {
105 $arg = $url_array[4];
106
107 setType( $arg, "integer" );
108 if ( $arg != 0 )
109 {
110 $Action = "Edit";
111 $NewsID = $arg;
112 }
113 }
114 else if ( $url_array[3] == "delete" )
115 {
116 $arg = $url_array[4];
117
118 setType( $arg, "integer" );
119 if ( $arg != 0 )
120 {
121 $Action = "Delete";
122 $NewsID = $arg;
123 }
124 }
125
126
127 include( "kernel/eznewsfeed/admin/newsedit.php" );
128 }
129 break;
130
131 case "categoryedit":
132 case "category":
133 {
134 if ( $url_array[3] == "new" )
135 {
136 $Action = "New";
137 }
138
139 if ( $url_array[3] == "edit" )
140 {
141 $CategoryID = $url_array[4];
142 $Action = "Edit";
143 }
144
145 if ( $url_array[3] == "delete" )
146 {
147 $CategoryID = $url_array[4];
148 $Action = "Delete";
149 }
150
151 include( "kernel/eznewsfeed/admin/categoryedit.php" );
152 }
153 break;
154
155 case "importnews":
156 {
157 $Action = "ImportNews";
158
159 if ( $url_array[3] == "fetch" )
160 {
161 $Action = "Fetch";
162 $SourceSiteID = $url_array[4];
163 }
164
165 include( "kernel/eznewsfeed/admin/importnews.php" );
166 }
167 break;
168
169 case "search":
170 {
171 include( "kernel/eznewsfeed/admin/newssearch.php" );
172 }
173 break;
174
175 }
176
177 ?>
$CategoryID
$CategoryID
Definition: admin/articleedit.php:53
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZPermission\checkPermission
static checkPermission( $user, $moduleName, $permissionName)
Definition: ezpermission.php:430
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$Action
$Action
Definition: companysearch.php:80
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$user
$user
Definition: eznewsfeed/admin/datasupplier.php:30
exit
exit
Definition: folder.php:81
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.